Optimiciti Developer PortalOptimiciti Developer Portal
  • Pricing
  • Documentation
  • API Reference
  • Your API Key
Information
Problem
    Run an optimization modelpostReturns optimization status and results, if availablegetCancel the optimization run identified by the problemId parameterpost
Utilities
    Health Checkget
Billing
    List public plansget
History
    Get User RunspostGet Run IdspostGet Run SummariespostList Example ScenariospostGet Scenario SummariespostGet Run ResultspostGet Saved ScenariopostGet a published example scenariogetUpdate Run NamepostDelete RunpostDelete Saved ScenariopostSave ScenariopostRename ScenariopostUpdate ScenariopostClaim Anonymous Runspost
Data-processing
    Calculate a cost matrix for the given locationspostConvert To ExcelpostConvert To JSONpost
System
    Read Rootget
Optimization
    Get Run StatuspostCancel Runpost
Schemas
powered by Zuplo
Optimiciti API Specification
Optimiciti API Specification

Optimization


Get Run Status

POST
https://api.optimiciti.com
/run_status

Returns the lifecycle status of a run (queued | running | succeeded | failed | cancelled) for polling.

Get Run Status › Request Body

RunIdRequest
run_id
​string · required

The unique Run ID

Get Run Status › Responses

Successful Response

A standardized response envelope used across the API.
StandardResponse
success
​boolean

Indicates if the request was successful

Default: true
data
​

The main response payload. Can be an object, array, boolean, or string.

​ResponseError
POST/run_status
curl https://api.optimiciti.com/run_status \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "run_id": "run_id" }'
Example Request Body
{ "run_id": "run_id" }
json
Example Responses
{ "success": true, "data": {}, "error": { "code": "code", "message": "message", "details": {} } }
json
application/json

Cancel Run

POST
https://api.optimiciti.com
/cancel_run

Cancels a queued or running solve. Queued runs are skipped by the worker; running runs are cancelled best-effort.

Cancel Run › Request Body

RunIdRequest
run_id
​string · required

The unique Run ID

Cancel Run › Responses

Successful Response

A standardized response envelope used across the API.
StandardResponse
success
​boolean

Indicates if the request was successful

Default: true
data
​

The main response payload. Can be an object, array, boolean, or string.

​ResponseError
POST/cancel_run
curl https://api.optimiciti.com/cancel_run \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "run_id": "run_id" }'
Example Request Body
{ "run_id": "run_id" }
json
Example Responses
{ "success": true, "data": {}, "error": { "code": "code", "message": "message", "details": {} } }
json
application/json

System